Bug 54702 - Sendmail update changes procmail behavior
Sendmail update changes procmail behavior
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: sendmail (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Florian La Roche
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-16 14:26 EDT by Need Real Name
Modified: 2007-04-18 12:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-01 03:21:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-10-16 14:26:19 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.2-2 i686)

Description of problem:
After upgrading to the latest Sendmail RPM (sendmail-8.11.6-1.6.x) on a
RedHat 6.2 system, mail sent to users over their quota no longer bounce.  I
started seeing the following error messages in my maillog instead:

stat=Deferred: local mailer (/usr/bin/procmail) exited with EX_TEMPFAIL

Tracked that down to the -t option in procmail, and then went searching
through my new sendmail.cf.  Sure enough, where my old sendmail.cf had a
line like:

Mlocal,         P=/usr/bin/procmail, F=lsDFMAw5:/|@qSPfhn9, S=10/30,
R=20/40,
                T=DNS/RFC822/X-Unix,
                A=procmail -Y -a $h -d $u

The new one has:
Mlocal,         P=/usr/bin/procmail, F=lsDFMAw5:/|@qSPfhn9,
S=EnvFromL/HdrFromL, R=EnvToL/HdrToL,
                T=DNS/RFC822/X-Unix,
                A=procmail -t -Y -a $h -d $u

So, is is safe to remove the -t option or does it provide some important
functionality that I should leave it on.  Also, my sendmail keeps trying to
resend these messages.  Will it ever give up?  (I've got at least one such
message that's over four days old).

Also, on a related gripe, did the sendmail upgrade announcement mention
anything about incompatibility between old cf files and the new binary.  At
least on my system, relay-based-on-MX stopped working when I restarted the
new binary and didn't start working until I built a new cf off the included
mc file.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Pick a mailbox that's over quota
2. Try to send mail to it
3. Look at maillogs and notice you don't get a bounce
	

Expected Results:  Unless I'm losing my mind, I should get a bounce when
the mailbox is full

Additional info:
Comment 1 blbooth 2001-11-01 03:21:10 EST
I had exactly the same problem with 7.0 and also tracked it down
to the -t flag for procmail.  Has this been fixed for 7.1 and 7.2?  I see that
7.1 also uses the -t flag.
Comment 2 Florian La Roche 2001-12-08 04:23:43 EST
I added a comment to the default configuration about this '-t' option
of procmail, so that this change is more obvious. I still think this
configuration is a good default config and saves some people their
email.

cu,

Florian La Roche

Note You need to log in before you can comment on or make changes to this bug.